proc_open
shell_exec
Program execution Functions
PHP Manual

# proc_terminate

(PHP 5)

proc_terminate — Kills a process opened by proc_open

### Description

bool proc_terminate ( resource `$process` [, int `$signal` = 15 ] )

Signals a `process` (created using proc_open()) that it should terminate. proc_terminate() returns immediately and does not wait for the process to terminate.

proc_terminate() allows you terminate the process and continue with other tasks. You may poll the process (to see if it has stopped yet) by using the proc_get_status() function.

### Parameters

`process`

  The proc_open() resource that will be closed.

`signal`

  This optional parameter is only useful on POSIX operating systems; you may specify a signal to send to the process using the kill(2) system call. The default is SIGTERM.

### Return Values

Returns the termination status of the process that was run.

### Changelog

Version | Description
--- | ---
5.2.2 | Previous versions used to destroy the given process `resource` .

### See Also

- proc_open() - Execute a command and open file pointers for input/output
- proc_close() - Close a process opened by proc_open and return the exit code of that process
- proc_get_status() - Get information about a process opened by proc_open

proc_open
shell_exec
Program execution Functions
PHP Manual